#ifndef CONSTANTS_H
#define CONSTANTS_H

//Types for board values
const int NONE			=	-1;
const int WHITE_KING	=	0;
const int WHITE_QUEEN	=	1;
const int WHITE_BISHOP1	=	2;
const int WHITE_BISHOP2	=	3;
const int WHITE_KNIGHT1	=	4;
const int WHITE_KNIGHT2	=	5;
const int WHITE_ROOK1	=	6;
const int WHITE_ROOK2	=	7;
const int WHITE_PAWN1	=	8;
const int WHITE_PAWN2	=	9;
const int WHITE_PAWN3	=	10;
const int WHITE_PAWN4	=	11;
const int WHITE_PAWN5	=	12;
const int WHITE_PAWN6	=	13;
const int WHITE_PAWN7	=	14;
const int WHITE_PAWN8	=	15;
const int BLACK_KING	=	16;
const int BLACK_QUEEN	=	17;
const int BLACK_BISHOP1	=	18;
const int BLACK_BISHOP2	=	19;
const int BLACK_KNIGHT1	=	20;
const int BLACK_KNIGHT2	=	21;
const int BLACK_ROOK1	=	22;
const int BLACK_ROOK2	=	23;
const int BLACK_PAWN1	=	24;
const int BLACK_PAWN2	=	25;
const int BLACK_PAWN3	=	26;
const int BLACK_PAWN4	=	27;
const int BLACK_PAWN5	=	28;
const int BLACK_PAWN6	=	29;
const int BLACK_PAWN7	=	30;
const int BLACK_PAWN8	=	31;

//Piece Identifiers for move calculation
const int KING		=	0;
const int QUEEN		=	1;
const int BISHOP	=	2;
const int KNIGHT	=	3;
const int ROOK		=	4;
const int PAWN		=	5;

//Constants for bitmap indices into texture array (piece color, piece, board color)
const int WHITE_KING_WHITE		=	0;
const int WHITE_KING_BLACK		=	1;
const int WHITE_QUEEN_WHITE		=	2;
const int WHITE_QUEEN_BLACK		=	3;
const int WHITE_BISHOP_WHITE	=	4;
const int WHITE_BISHOP_BLACK	=	5;
const int WHITE_ROOK_WHITE		=	6;
const int WHITE_ROOK_BLACK		=	7;
const int WHITE_KNIGHT_WHITE	=	8;
const int WHITE_KNIGHT_BLACK	=	9;
const int WHITE_PAWN_WHITE		=	10;
const int WHITE_PAWN_BLACK		=	11;
const int BLACK_KING_WHITE		=	12;
const int BLACK_KING_BLACK		=	13;
const int BLACK_QUEEN_WHITE		=	14;
const int BLACK_QUEEN_BLACK		=	15;
const int BLACK_BISHOP_WHITE	=	16;
const int BLACK_BISHOP_BLACK	=	17;
const int BLACK_ROOK_WHITE		=	18;
const int BLACK_ROOK_BLACK		=	19;
const int BLACK_KNIGHT_WHITE	=	20;
const int BLACK_KNIGHT_BLACK	=	21;
const int BLACK_PAWN_WHITE		=	22;
const int BLACK_PAWN_BLACK		=	23;
const int A						=	24;
const int B						=	25;
const int C						=	26;
const int D						=	27;
const int E						=	28;
const int F						=	29;
const int G						=	30;
const int H						=	31;
const int ONE					=	32;
const int TWO					=	33;
const int THREE					=	34;
const int FOUR					=	35;
const int FIVE					=	36;
const int SIX					=	37;
const int SEVEN					=	38;
const int EIGHT					=	39;

//Constants for modes of play
const int TUTORIAL_MODE		=	0;
const int NORMAL_MODE		=	1;

#endif